org.apache.solr.client.solrj.cloud.autoscaling

## Class BadVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.solr.client.solrj.cloud.autoscaling.BadVersionException

All Implemented Interfaces:
  Serializable

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class BadVersionException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadVersionException(int requested, String path)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getPath()` Deprecated.
`int` `getRequested()` Deprecated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadVersionException

    public BadVersionException(int requested,
                               String path)

Deprecated.

### Method Detail

#### getPath

    public String getPath()

Deprecated.

#### getRequested

    public int getRequested()

Deprecated.